# $Revision: 1.7 $, $Date: 2004/09/19 22:09:07 $
Summary:	Parser generation for Emacs
Summary(pl):	Generowanie parserw dla Emacsa
Name:		xemacs-semantic-pkg
%define 	srcname	semantic
Version:	1.18
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	bb333c47f371748a1e923893c98d7b3f
URL:		http://www.xemacs.org/
BuildArch:	noarch
Requires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Semantic is a program for Emacs which includes, at its core, a lexer,
and a compiler compiler (bovinator).  Additional tools include a
bnf->semantic table converter, example tables, and a speedbar tool.

The core utility is the ``semantic bovinator'' which has similar
behaviors as yacc or bison.  Since it is not designed to be as feature
rich as these tools, it uses the term ``bovine'' for cow, a lesser
cousin of the yak and bison.

%description -l pl
Semantic to program dla Emacsa, ktry zawiera, jako podstawow cz,
lekser oraz kompilator kompilatorw ("bovinator"). Dodatkowe narzdzia
skadaj si z konwertera tablic bnf->semantic, przykadowych tablic
oraz narzdzia speedbar.

Podstawowe narzdzie to "semantyczny bovinator" o zachowaniu podobnym
do yacca i bisona. Poniewa nie ma tak bogatych moliwoci jak tamte
narzdzia, nazwany zosta od sowa "bovine", czyli wou, mniejszego
kuzyna jaka i bizona.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %doc lisp/semnatic/ChangeLog
# %{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*
%{_datadir}/xemacs-packages/pkginfo/*
%{_datadir}/xemacs-packages/info/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-semantic-pkg.spec,v $
Revision 1.7  2004/09/19 22:09:07  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.6  2003/11/26 17:29:08  speedy
updated to  1.18

Revision 1.5  2003/09/09 10:25:00  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:03:06  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:28:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/29 19:26:51  qboosh
- pl

Revision 1.1  2003/03/28 17:37:18  pawelk
new. STBR
